<?php
namespace Mirasvit\Seo\Block\Adminhtml\Checklist;

/**
 * Interceptor class for @see \Mirasvit\Seo\Block\Adminhtml\Checklist
 */
class Interceptor extends \Mirasvit\Seo\Block\Adminhtml\Checklist implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Seo\Service\ChecklistService $checklistService, \Magento\Backend\Block\Template\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($checklistService, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
